System 2.0.0.0 4.0.0.0 System.Enum System.Flags

For additional information about ADVF, see the MDSN library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Specifies the requested behavior when setting up an advise sink or a caching connection with an object.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ADVF

  For data advisory connections, assures accessibility to data.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ADVF

  For data advisory connections ( or ), this flag requests the data object not to send data when it calls .

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ADVF

  Requests that the object make only one change notification or cache update before deleting the connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ADVF

  Requests that the object not wait for the data or view to change before making an initial call to (for data or view advisory connections) or updating the cache (for cache connections).

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ADVF

  This value is used by DLL object applications and object handlers that perform the drawing of their objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ADVF

  Synonym for , which is used more often.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ADVF

  For cache connections, this flag updates the cached representation only when the object containing the cache is saved.